
#include "body.h"

// the standard constructor first
body::body()
{
  // since we didn't specify a color, 
  color = new Color(0.,0.,0.);
  our_color = 1;   // we remember that we made the Color class.
}

// the constructor setting a color
body::body(const Color *c)
{
  // we just grab the pointer to the color provided. 
  color = c;
  our_color = 0;   // we did not make the color class.
}

// and the destructor
body::~body()
{
  // if we made the color object, we must delete it here.
  if (our_color) delete color;
}

// now the color-handling
void body::setColor (const Color *c)
{
  if (our_color) delete color;
  our_color = 0;
  color = c;
}

Color * body::getColor() const
{
  return color;
}

