#ifndef SLIST_H
#define SLIST_H

template<class T> class sList {
public:

  sList( const int n ); 
  ~sList(); 
  virtual int addEntry(T*);
  inline int getNumberofSlots() const { return number; };
  inline int getNumberofEntries() const { return current+1; };
  inline T* getEntry( const int n) const;

protected:

  T** list;
  int number;
  int current;
};


template<class T> inline sList<T>::sList( const int n)
{
  list = new T*[n];
  number = n;
  current = -1;
}

template<class T> inline sList<T>::~sList()
{
  delete [] list;
}


template<class T> inline int sList<T>::addEntry(T* c)
{
  if (current >= number) return -1;
  list[++current] = c;
  return 0;
}

template<class T> inline T* sList<T>::getEntry( const int n) const
{
   if (n > current+1 || n < 1) return 0;
   return list[n-1];
}

#endif
